#
# spec file for package perl-Mail-Sender
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mail-Sender
Version:        0.900003
Release:        3.1
%define cpan_name Mail-Sender
Summary:        Module for Sending Mails with Attachments Through an Smtp Server
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mail-Sender/
Source0:        http://www.cpan.org/authors/id/C/CA/CAPOEIRAB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny) >= 0.24
Requires:       perl(Try::Tiny) >= 0.24
Recommends:     perl(Authen::NTLM)
Recommends:     perl(Digest::HMAC_MD5)
Recommends:     perl(IO::Socket::SSL)
Recommends:     perl(Mozilla::CA)
Recommends:     perl(Net::SSLeay)
%{perl_requires}

%description
Mail::Sender provides an object-oriented interface to sending mails. It
directly connects to the mail server using IO::Socket.

Mail::Sender is going away... well, not really, but it's being officially
marked as "out of favor". Email::Sender is the go-to choice when you need
to send Email from Perl. Go there, be happy!

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Jun 12 2016 coolo@suse.com
- updated to 0.900003
  see /usr/share/doc/packages/perl-Mail-Sender/Changes
* Tue Jul 15 2014 opensuse@cboltz.de
- update to 0.8.23
  - fixed problems with long subjects containing accentuated characters
  - fixed problems with IO::Socket::SSL
  - trims addresses passed in an array (per request)
  - changed licence per request from Fedora
  - fix to allow very long passwords
  - fix error in TestServer()
* Wed Jun  5 2013 coolo@suse.com
- update to 0.8.22, no changelog
* Mon Jun  4 2012 opensuse@cboltz.de
- update to 0.8.21
- add Requires: for perl(Encode), perl(IO::Socket::SSL) and
  perl(Net::SSLeay) (needed by the new version)
* Wed Dec  1 2010 opensuse@cboltz.de
- new specfile, created by cpanspec 1.78.03
- Requires re-added manually
* Fri Aug  6 2010 opensuse@cboltz.de
- initial SUSE packaging
